> ## Documentation Index
> Fetch the complete documentation index at: https://docs.umified.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Meeting

> Updates a Scheduled Meeting



## OpenAPI

````yaml PUT /update_meeting/
openapi: 3.1.0
info:
  title: Umified APIs
  description: >-
    Umified APIs for access management, meeting information, transcription and
    bot management.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.umified.com/api/v1
security:
  - bearerAuth: []
paths:
  /update_meeting/:
    put:
      description: Updates a Scheduled Meeting
      requestBody:
        description: Details in form-data.
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                destination_path:
                  type: string
                  description: >-
                    **_For Authorised Partners Only_**


                    *Optional*. S3 destination for meeting transcript file
                    upload (must end in `/`). 

                    E.g. `s3://bucket_name/` *or*
                    `s3://bucket-name/folder-name/`.

                    Here, `bucket_name` is the name of your S3 prod bucket. 


                    Post meeting, once transcription is completed, the
                    transcript file will be uploaded to: 

                    `<destination_path>/<meeting-session-id>/meeting-transcript.txt`.
                  pattern: >-
                    ^s3://notetaker-transcripts-prod-032265101474-eu-west-1(?:/[A-Za-z0-9!\.\_\-\*'\(\)]+)*/$
                session_id:
                  type: string
                  description: >-
                    The session ID of the meeting instance from create meeting
                    api call.
                meeting_url:
                  type: string
                  description: >-
                    OPTIONAL.

                    Provide value if you want to update the meeting URL
                    (supports **Google Meet**, **Zoom** or **Teams**).
                meeting_name:
                  type: string
                  description: |-
                    OPTIONAL.
                    Provide value if you want to update the meeting name.
                start_datetime:
                  type: string
                  format: date-time
                  pattern: >-
                    ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+\-]\d{2}:\d{2})$
                  description: "*OPTIONAL* - Required for Scheduled Meeting.\nStart datetime shall be strictly in ISO-8601 with timezone offset (+HH:MM).\nExamples:\n\t*2025-05-05T14:30:00.123456+05:30*,\n\t*2025-05-05T14:30:00+04:00*,\n\t*2025-05-05 14:30:00-05:00*."
                  examples:
                    UTC:
                      summary: UTC Time
                      value: '2025-04-28T15:05:35.759770+00:00'
                    IST:
                      summary: IST Time
                      value: '2025-04-28T20:35:35.762760+05:30'
                    UTC+1:
                      summary: UTC+1 Time
                      value: '2025-04-28T16:05:35.759770+01:00'
                end_datetime:
                  type: string
                  format: date-time
                  pattern: >-
                    ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+\-]\d{2}:\d{2})$
                  description: "*OPTIONAL* - Required for Scheduled Meeting.\nEnd datetime shall be strictly in ISO-8601 with timezone offset (+HH:MM).\nExamples:\n\t*2025-05-05T14:30:00.123456+05:30*,\n\t*2025-05-05T14:30:00+04:00*,\n\t*2025-05-05 14:30:00-05:00*."
                  examples:
                    UTC:
                      summary: UTC Time
                      value: '2025-04-28T15:05:35.759770+00:00'
                    IST:
                      summary: IST Time
                      value: '2025-04-28T20:35:35.762760+05:30'
                    UTC+1:
                      summary: UTC+1 Time
                      value: '2025-04-28T16:05:35.759770+01:00'
                bot_name:
                  type: string
                  description: '*OPTIONAL* - Custom name for the bot.'
                invite_status:
                  type: string
                  description: >-
                    *OPTIONAL* - Meeting status; Default (if not specified) is
                    'updated'. Pass 'cancelled' if you want to cancel the
                    meeting.
                  enum:
                    - updated
                    - cancelled
                  default: updated
              required:
                - session_id
        required: true
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateMeetingResponse'
              example:
                result:
                  bot_name: Client's Bot 1
                  meeting_url: https://meet.google.com/abc-defg-hij (updated url)
                  meeting_name: Client's Meeting 1-updated
                  start_datetime: '2025-05-08T11:07:00.762760+05:30'
                  end_datetime: '2025-05-08T11:15:35.762760+05:30'
                  session_id: clientpdsc20250508153512066611
                  destination_path: s3://bucket-name/folder-name/
                message: Your meeting is updated successfully.
                status_code: 200
                destination: null
        '400':
          description: Bad Request Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
components:
  schemas:
    UpdateMeetingResponse:
      type: object
      properties:
        result:
          type: object
          description: Only the fields that were updated
          properties:
            meeting_url:
              type: string
              format: uri
            meeting_name:
              type: string
            start_datetime:
              type: string
              format: date-time
            end_datetime:
              type: string
              format: date-time
            bot_name:
              type: string
            session_id:
              type: string
          additionalProperties: false
        message:
          type: string
          example: Your meeting is updated successfully.
        status_code:
          type: integer
          example: 200
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - result
        - message
        - status_code
        - destination
    BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: >-
            Meeting URL should be a valid Zoom, Google Meet, or Microsoft Teams
            URL.
        status_code:
          type: integer
          example: 400
        destination:
          oneOf:
            - type: string
            - type: 'null'
          example: null
      required:
        - message
        - status_code
        - destination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````